#!/usr/bin/env python

import logging
import logging.config
import os
import requests
import time

from selenium import webdriver

from HpUpdater import HpUpdater
from IpManager import IpManager

loggerConfigPath = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'logger.conf')

home = os.environ.get('APP_HOME')
logging.config.fileConfig(fname=loggerConfigPath, defaults={'logfilename': f'{home}/log/main.log', 'debuglogfilename': f'{home}/log/debug.log'}, disable_existing_loggers=False)

logger = logging.getLogger(__name__)

ipFile = f'{home}/lastIp/ip'
timeout = 60

if __name__ == "__main__":
    logger.info('Start script')

    manager = IpManager(ipFile)

    fetch = manager.hasIpChanged()
    if fetch is not None:
        logger.debug('Fetch successful, updating ip')
        HpUpdater().update(fetch)
    else:
        logger.debug('no need to update')
    
